png::index_pixel Class Reference

The 8-bit Indexed (colormap) pixel type. More...

`#include <index_pixel.hpp>`

## Public Member Functions

| index_pixel (byte index=0)
| operator byte () const

## Detailed Description

The 8-bit Indexed (colormap) pixel type.

## Constructor & Destructor Documentation

## index_pixel()

png::index_pixel::index_pixel | ( | byte | index = `0` | ) |

inline

## Member Function Documentation

## operator byte()

png::index_pixel::operator byte | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- index_pixel.hpp